Get one Sales Order Line by its reference
curl --request GET \
--url https://api.bold-factory.com/v1/planning/salesOrderLines/{lineReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/planning/salesOrderLines/{lineReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/planning/salesOrderLines/{lineReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"orderId": "<string>",
"order": {
"id": "<string>",
"externalReference": "<string>",
"customerId": "<string>",
"customer": {
"id": "cus_1mnbe80001w0m7qy",
"externalReference": "CLI0007",
"name": "Industrias Manolito",
"deletedAt": null,
"createdAt": "2025-12-29T17:32:58.4234296+00:00",
"createdBy": "Cecilia.Valles@example.net",
"lastModifiedAt": "2025-12-31T19:01:44.2841441+00:00",
"lastModifiedBy": "Claudia52@example.com"
},
"code": "<string>",
"name": "<string>",
"notes": "<string>",
"deliveryInstructions": "<string>",
"codeForCustomer": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"orderedAt": "2023-11-07T05:31:56Z",
"requestedDeliveryAt": "2023-11-07T05:31:56Z",
"committedDeliveryAt": "2023-11-07T05:31:56Z",
"targetDeliveryAt": "2023-11-07T05:31:56Z",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"stock": 123,
"incomingStock": 123,
"outgoingStock": 123,
"currentAvailableStock": 123,
"projectedAvailableStock": 123,
"supplyPolicy": {
"safetyStock": 123,
"reorderPoint": 123,
"minimumAmount": 123,
"amountMultiple": 123,
"procurementLeadTimeBusinessDays": 123
},
"demand": {
"results": [
{
"id": "<string>",
"code": "<string>",
"priority": 123,
"quantity": 123,
"availableQuantity": 123,
"plannedQuantity": 123,
"neededAt": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
},
"supply": {
"results": [
{
"id": "<string>",
"code": "<string>",
"quantity": 123,
"expectedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
},
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"code": "<string>",
"number": 123,
"quantity": 123,
"pendingQuantity": 123,
"shippedQuantity": 123,
"cancelledQuantity": 123,
"availableQuantity": 123,
"plannedQuantity": 123,
"requestedDeliveryAt": "2023-11-07T05:31:56Z",
"committedDeliveryAt": "2023-11-07T05:31:56Z",
"targetDeliveryAt": "2023-11-07T05:31:56Z",
"projectedShipmentDate": "2023-12-25",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"releasedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Sales Orders
Get one Sales Order Line by its reference
deprecated
Requires Planning.SalesOrders.Read permissions
GET
/
v1
/
planning
/
salesOrderLines
/
{lineReference}
Get one Sales Order Line by its reference
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Cancelled, Draft, Pending, PartiallyDelivered, Delivered Opciones disponibles:
Pending, PartiallyPlanned, FullyPlanned, Ready, NotRequired, null Opciones disponibles:
ToOrder, ToStock ⌘I